<?
include_once("_common.php");

$news_url	= "http://news.google.co.kr/news?pz=1&cf=all&ned=kr&hl=ko&output=rss&topic=$topic";
//-- 캐쉬 파일
$cache_path	= "$g4[path]/data/zm.exp/service/google_news";
if(!file_exists($cache_path)) zm_mkdir($cache_path);
$cache_file	= $cache_path . "/cache_google_news_".$topic.".php";

//-- 캐시 파일이 10분 이상 지났으면 정보 갱신 후 캐시 저장
if(file_exists($cache_file)) {
	$filetime	= filectime($cache_file);
}else{
	$filetime	= 0;
}

if($filetime < ($g4[server_time]-600)){
	//-- 소캣 프로그램으로 불러 옮
	$news_file = zm_away_fopen($news_url);

	//-- 캐시 파일에 xml 파일 저장
	$fh		= fopen("$cache_file", "w");
	fwrite($fh, $news_file);
	fclose($fh);
	clearstatcache();
}

//-- 캐시 파일을 열어서 xml 파싱
$parser		= new xml2array($cache_file);
$arr_news	= $parser->getArray("RSS/CHANNEL/ITEM");		//-- 뉴스 목록



//-- 첫번째 뉴스는 사진 뉴스
$img	= $arr_news[0]['DESCRIPTION'];
preg_match_all("/<img[^>]*src=[\'\"]?([^>\'\"]+)[\'\"]?[^>]*>/", $img, $img_news);
?>
<div style="float:left; width:30%; margin:auto;">
<? if($img_news[1][0]) :									//-- 왼쪽 사진 뉴스 ?>
	<div style="width:100px; text-align:center; margin:10px 0;"><a href='<?=$arr_news[0][LINK]?>' target="_blank"><img src="<?=$img_news[1][0]?>"></a></div>
	<div style="width:100px; margin:10px 0; text-align:left; word-wrap:word-break; color:#595959;"><a href='<?=$arr_news[0][LINK]?>' target="_blank"><?=$arr_news[0][TITLE]?></a></div>
<? endif; ?>
</div>
<div style="float:left; margin:auto; width:70%;">
<? for($i = 1; $i < count($arr_news); $i++) : if($i > 9) continue;	//-- 오른쪽 뉴스 목록. 섹션당 10개를-이미지 뉴스 포함- 넘지 않지만 혹시나... 
	if($i == 1 || $i == 5) $news_bold = "zm_googlenews_list_bold"; else $news_bold = ""; ?>
<ul class="zm_googlenews_section_ul <?=$news_bold?>">
	<li>
		<span>·	<a href='<?=$arr_news[$i][LINK]?>' target="_blank"><?=$arr_news[$i][TITLE]?></a></span>
	</li>
</ul>
<? endfor; ?>
</div>